package cz.muni.fi.pa165.model;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import lombok.*;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TeamMemberDTO {
    @NotNull
    private long id;
    @NotBlank
    @Size(max = 30)
    private String nickname;
    @NotNull
    private long bandId;
    @NotNull
    private long userId;
}
